Makefile.in 17 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547
  1. # Makefile.in generated by automake 1.7 from Makefile.am.
  2. # @configure_input@
  3. # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
  4. # Free Software Foundation, Inc.
  5. # This Makefile.in is free software; the Free Software Foundation
  6. # gives unlimited permission to copy and/or distribute it,
  7. # with or without modifications, as long as this notice is preserved.
  8. # This program is distributed in the hope that it will be useful,
  9. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  10. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  11. # PARTICULAR PURPOSE.
  12. @SET_MAKE@
  13. #----------------------------------------------------------------
  14. #
  15. # Makefile.am
  16. #
  17. # Automake source file for sppdgTcllib
  18. # around Tkcon.
  19. #
  20. # This file, along with aclocal, configure.ac autoconf,
  21. # and automake can produce a highly functional configuration
  22. # script and Makefile.
  23. #
  24. # Bob Techentin
  25. # January 22, 2004
  26. # Copyright 2004 Mayo Foundation. All Rights Reserved
  27. #
  28. # $Id: Makefile.am,v 1.3 2004/05/10 18:47:15 schrauf Exp $
  29. #
  30. #----------------------------------------------------------------
  31. srcdir = @srcdir@
  32. top_srcdir = @top_srcdir@
  33. VPATH = @srcdir@
  34. pkgdatadir = $(datadir)/@PACKAGE@
  35. pkgincludedir = $(includedir)/@PACKAGE@
  36. top_builddir = .
  37. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  38. INSTALL = @INSTALL@
  39. install_sh_DATA = $(install_sh) -c -m 644
  40. install_sh_PROGRAM = $(install_sh) -c
  41. install_sh_SCRIPT = $(install_sh) -c
  42. INSTALL_HEADER = $(INSTALL_DATA)
  43. transform = $(program_transform_name)
  44. NORMAL_INSTALL = :
  45. PRE_INSTALL = :
  46. POST_INSTALL = :
  47. NORMAL_UNINSTALL = :
  48. PRE_UNINSTALL = :
  49. POST_UNINSTALL = :
  50. #---------------------------------------------------------------
  51. # Define an installation directory.
  52. #
  53. # Normal libraries would get something like
  54. # pkglibdir=$(libdir)/$(PACKAGE)$(PACKAGE_VERSION)
  55. # which would put a nicely named and versioned library
  56. # into $(prefix)/lib.
  57. #
  58. # But sppdgTcllib is really just a container library,
  59. # and SUBDIRS are supposed to go into a subdirectory
  60. # of sppdgTcllib. So our configure.ac changes
  61. # $(libdir) to point to the installed sppdgTcllib,
  62. # so that SUBDIRS will go in the right place.
  63. #
  64. # Thus, our pkglibdir becomes...
  65. #---------------------------------------------------------------
  66. pkglibdir = $(prefix)/lib/$(PACKAGE)$(PACKAGE_VERSION)
  67. ACLOCAL = @ACLOCAL@
  68. AMTAR = @AMTAR@
  69. AUTOCONF = @AUTOCONF@
  70. AUTOHEADER = @AUTOHEADER@
  71. AUTOMAKE = @AUTOMAKE@
  72. AWK = @AWK@
  73. CYGPATH_W = @CYGPATH_W@
  74. DEFS = @DEFS@
  75. ECHO_C = @ECHO_C@
  76. ECHO_N = @ECHO_N@
  77. ECHO_T = @ECHO_T@
  78. INSTALL_DATA = @INSTALL_DATA@
  79. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  80. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  81. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  82. LIBS = @LIBS@
  83. LTLIBOBJS = @LTLIBOBJS@
  84. MAKEINFO = @MAKEINFO@
  85. PACKAGE = @PACKAGE@
  86. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  87. PACKAGE_NAME = @PACKAGE_NAME@
  88. PACKAGE_STRING = @PACKAGE_STRING@
  89. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  90. PACKAGE_VERSION = @PACKAGE_VERSION@
  91. PATH_SEPARATOR = @PATH_SEPARATOR@
  92. SET_MAKE = @SET_MAKE@
  93. SHELL = @SHELL@
  94. STRIP = @STRIP@
  95. VERSION = @VERSION@
  96. ac_ct_STRIP = @ac_ct_STRIP@
  97. bindir = @bindir@
  98. build_alias = @build_alias@
  99. datadir = @datadir@
  100. exec_prefix = @exec_prefix@
  101. host_alias = @host_alias@
  102. includedir = @includedir@
  103. infodir = @infodir@
  104. install_sh = @install_sh@
  105. libdir = @libdir@
  106. libexecdir = @libexecdir@
  107. localstatedir = @localstatedir@
  108. mandir = @mandir@
  109. oldincludedir = @oldincludedir@
  110. prefix = @prefix@
  111. program_transform_name = @program_transform_name@
  112. sbindir = @sbindir@
  113. sharedstatedir = @sharedstatedir@
  114. subdirs = @subdirs@
  115. sysconfdir = @sysconfdir@
  116. target_alias = @target_alias@
  117. #----------------------------------------------------------------
  118. # Just for the record, this isn't a GNU project, and
  119. # doesn't have all the support files like LICENSE and
  120. # ChangeLog. We're also compiling in a subdirectory, so
  121. # we supply a couple of options to automake.
  122. #
  123. # Note that this package _does_ require some of the support
  124. # files like install-sh, so if you're running aclocal,
  125. # autoconf, and automake for the first time, you'll need to
  126. # supply command line switches --add-missing --copy.
  127. #----------------------------------------------------------------
  128. AUTOMAKE_OPTIONS = foreign subdir-objects
  129. #---------------------------------------------------------------
  130. # Only one script that needs to be installed.
  131. #---------------------------------------------------------------
  132. pkglib_SCRIPTS = \
  133. pkgIndex.tcl
  134. #---------------------------------------------------------------
  135. # Install these subdirectories
  136. #---------------------------------------------------------------
  137. SUBDIRS = console getFilePreview sgraph addressDialog
  138. AM_MAKEFLAGS = "libdir=$(pkglibdir)"
  139. subdir = .
  140. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  141. mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
  142. CONFIG_CLEAN_FILES =
  143. SCRIPTS = $(pkglib_SCRIPTS)
  144. DIST_SOURCES =
  145. RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
  146. ps-recursive install-info-recursive uninstall-info-recursive \
  147. all-recursive install-data-recursive install-exec-recursive \
  148. installdirs-recursive install-recursive uninstall-recursive \
  149. check-recursive installcheck-recursive
  150. DIST_COMMON = ../install-sh INSTALL Makefile.am Makefile.in aclocal.m4 \
  151. configure configure.ac install-sh missing mkinstalldirs
  152. DIST_SUBDIRS = $(SUBDIRS)
  153. all: all-recursive
  154. .SUFFIXES:
  155. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  156. configure.lineno
  157. $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
  158. cd $(top_srcdir) && \
  159. $(AUTOMAKE) --foreign Makefile
  160. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  161. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
  162. $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  163. $(SHELL) ./config.status --recheck
  164. $(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
  165. cd $(srcdir) && $(AUTOCONF)
  166. $(ACLOCAL_M4): configure.ac
  167. cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  168. pkglibSCRIPT_INSTALL = $(INSTALL_SCRIPT)
  169. install-pkglibSCRIPTS: $(pkglib_SCRIPTS)
  170. @$(NORMAL_INSTALL)
  171. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  172. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  173. if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  174. if test -f $$d$$p; then \
  175. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  176. echo " $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f"; \
  177. $(pkglibSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(pkglibdir)/$$f; \
  178. else :; fi; \
  179. done
  180. uninstall-pkglibSCRIPTS:
  181. @$(NORMAL_UNINSTALL)
  182. @list='$(pkglib_SCRIPTS)'; for p in $$list; do \
  183. f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
  184. echo " rm -f $(DESTDIR)$(pkglibdir)/$$f"; \
  185. rm -f $(DESTDIR)$(pkglibdir)/$$f; \
  186. done
  187. uninstall-info-am:
  188. # This directory's subdirectories are mostly independent; you can cd
  189. # into them and run `make' without going through this Makefile.
  190. # To change the values of `make' variables: instead of editing Makefiles,
  191. # (1) if the variable is set in `config.status', edit `config.status'
  192. # (which will cause the Makefiles to be regenerated when you run `make');
  193. # (2) otherwise, pass the desired values on the `make' command line.
  194. $(RECURSIVE_TARGETS):
  195. @set fnord $$MAKEFLAGS; amf=$$2; \
  196. dot_seen=no; \
  197. target=`echo $@ | sed s/-recursive//`; \
  198. list='$(SUBDIRS)'; for subdir in $$list; do \
  199. echo "Making $$target in $$subdir"; \
  200. if test "$$subdir" = "."; then \
  201. dot_seen=yes; \
  202. local_target="$$target-am"; \
  203. else \
  204. local_target="$$target"; \
  205. fi; \
  206. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  207. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  208. done; \
  209. if test "$$dot_seen" = "no"; then \
  210. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  211. fi; test -z "$$fail"
  212. mostlyclean-recursive clean-recursive distclean-recursive \
  213. maintainer-clean-recursive:
  214. @set fnord $$MAKEFLAGS; amf=$$2; \
  215. dot_seen=no; \
  216. case "$@" in \
  217. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  218. *) list='$(SUBDIRS)' ;; \
  219. esac; \
  220. rev=''; for subdir in $$list; do \
  221. if test "$$subdir" = "."; then :; else \
  222. rev="$$subdir $$rev"; \
  223. fi; \
  224. done; \
  225. rev="$$rev ."; \
  226. target=`echo $@ | sed s/-recursive//`; \
  227. for subdir in $$rev; do \
  228. echo "Making $$target in $$subdir"; \
  229. if test "$$subdir" = "."; then \
  230. local_target="$$target-am"; \
  231. else \
  232. local_target="$$target"; \
  233. fi; \
  234. (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  235. || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
  236. done && test -z "$$fail"
  237. tags-recursive:
  238. list='$(SUBDIRS)'; for subdir in $$list; do \
  239. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  240. done
  241. ctags-recursive:
  242. list='$(SUBDIRS)'; for subdir in $$list; do \
  243. test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  244. done
  245. ETAGS = etags
  246. ETAGSFLAGS =
  247. CTAGS = ctags
  248. CTAGSFLAGS =
  249. tags: TAGS
  250. ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  251. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  252. unique=`for i in $$list; do \
  253. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  254. done | \
  255. $(AWK) ' { files[$$0] = 1; } \
  256. END { for (i in files) print i; }'`; \
  257. mkid -fID $$unique
  258. TAGS: tags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  259. $(TAGS_FILES) $(LISP)
  260. tags=; \
  261. here=`pwd`; \
  262. list='$(SUBDIRS)'; for subdir in $$list; do \
  263. if test "$$subdir" = .; then :; else \
  264. test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
  265. fi; \
  266. done; \
  267. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  268. unique=`for i in $$list; do \
  269. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  270. done | \
  271. $(AWK) ' { files[$$0] = 1; } \
  272. END { for (i in files) print i; }'`; \
  273. test -z "$(ETAGS_ARGS)$$tags$$unique" \
  274. || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  275. $$tags $$unique
  276. ctags: CTAGS
  277. CTAGS: ctags-recursive $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
  278. $(TAGS_FILES) $(LISP)
  279. tags=; \
  280. here=`pwd`; \
  281. list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  282. unique=`for i in $$list; do \
  283. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  284. done | \
  285. $(AWK) ' { files[$$0] = 1; } \
  286. END { for (i in files) print i; }'`; \
  287. test -z "$(CTAGS_ARGS)$$tags$$unique" \
  288. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  289. $$tags $$unique
  290. GTAGS:
  291. here=`$(am__cd) $(top_builddir) && pwd` \
  292. && cd $(top_srcdir) \
  293. && gtags -i $(GTAGS_ARGS) $$here
  294. distclean-tags:
  295. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  296. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  297. top_distdir = .
  298. distdir = $(PACKAGE)-$(VERSION)
  299. am__remove_distdir = \
  300. { test ! -d $(distdir) \
  301. || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
  302. && rm -fr $(distdir); }; }
  303. GZIP_ENV = --best
  304. distuninstallcheck_listfiles = find . -type f -print
  305. distcleancheck_listfiles = find . -type f -print
  306. distdir: $(DISTFILES)
  307. $(am__remove_distdir)
  308. mkdir $(distdir)
  309. $(mkinstalldirs) $(distdir)/..
  310. @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  311. list='$(DISTFILES)'; for file in $$list; do \
  312. case $$file in \
  313. $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  314. esac; \
  315. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  316. dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  317. if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  318. dir="/$$dir"; \
  319. $(mkinstalldirs) "$(distdir)$$dir"; \
  320. else \
  321. dir=''; \
  322. fi; \
  323. if test -d $$d/$$file; then \
  324. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  325. cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  326. fi; \
  327. cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  328. else \
  329. test -f $(distdir)/$$file \
  330. || cp -p $$d/$$file $(distdir)/$$file \
  331. || exit 1; \
  332. fi; \
  333. done
  334. list='$(SUBDIRS)'; for subdir in $$list; do \
  335. if test "$$subdir" = .; then :; else \
  336. test -d $(distdir)/$$subdir \
  337. || mkdir $(distdir)/$$subdir \
  338. || exit 1; \
  339. (cd $$subdir && \
  340. $(MAKE) $(AM_MAKEFLAGS) \
  341. top_distdir="$(top_distdir)" \
  342. distdir=../$(distdir)/$$subdir \
  343. distdir) \
  344. || exit 1; \
  345. fi; \
  346. done
  347. -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  348. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  349. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  350. ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  351. || chmod -R a+r $(distdir)
  352. dist-gzip: distdir
  353. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  354. $(am__remove_distdir)
  355. dist dist-all: distdir
  356. $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  357. $(am__remove_distdir)
  358. # This target untars the dist file and tries a VPATH configuration. Then
  359. # it guarantees that the distribution is self-contained by making another
  360. # tarfile.
  361. distcheck: dist
  362. $(am__remove_distdir)
  363. GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
  364. chmod -R a-w $(distdir); chmod a+w $(distdir)
  365. mkdir $(distdir)/=build
  366. mkdir $(distdir)/=inst
  367. chmod a-w $(distdir)
  368. dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
  369. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  370. && $(mkinstalldirs) $$dc_destdir \
  371. && cd $(distdir)/=build \
  372. && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  373. $(DISTCHECK_CONFIGURE_FLAGS) \
  374. && $(MAKE) $(AM_MAKEFLAGS) \
  375. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  376. && $(MAKE) $(AM_MAKEFLAGS) check \
  377. && $(MAKE) $(AM_MAKEFLAGS) install \
  378. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  379. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  380. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  381. distuninstallcheck \
  382. && chmod -R a-w "$$dc_install_base" \
  383. && ({ $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  384. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  385. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  386. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  387. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  388. && rm -rf "$$dc_destdir" \
  389. && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
  390. && rm -f $(distdir).tar.gz \
  391. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  392. $(am__remove_distdir)
  393. @echo "$(distdir).tar.gz is ready for distribution" | \
  394. sed 'h;s/./=/g;p;x;p;x'
  395. distuninstallcheck:
  396. cd $(distuninstallcheck_dir) \
  397. && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  398. || { echo "ERROR: files left after uninstall:" ; \
  399. if test -n "$(DESTDIR)"; then \
  400. echo " (check DESTDIR support)"; \
  401. fi ; \
  402. $(distuninstallcheck_listfiles) ; \
  403. exit 1; } >&2
  404. distcleancheck: distclean
  405. if test '$(srcdir)' = . ; then \
  406. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  407. exit 1 ; \
  408. fi
  409. test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  410. || { echo "ERROR: files left in build directory after distclean:" ; \
  411. $(distcleancheck_listfiles) ; \
  412. exit 1; } >&2
  413. check-am: all-am
  414. check: check-recursive
  415. all-am: Makefile $(SCRIPTS)
  416. installdirs: installdirs-recursive
  417. installdirs-am:
  418. $(mkinstalldirs) $(DESTDIR)$(pkglibdir)
  419. install: install-recursive
  420. install-exec: install-exec-recursive
  421. install-data: install-data-recursive
  422. uninstall: uninstall-recursive
  423. install-am: all-am
  424. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  425. installcheck: installcheck-recursive
  426. install-strip:
  427. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  428. INSTALL_STRIP_FLAG=-s \
  429. `test -z '$(STRIP)' || \
  430. echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  431. mostlyclean-generic:
  432. clean-generic:
  433. distclean-generic:
  434. -rm -f Makefile $(CONFIG_CLEAN_FILES)
  435. maintainer-clean-generic:
  436. @echo "This command is intended for maintainers to use"
  437. @echo "it deletes files that may require special tools to rebuild."
  438. clean: clean-recursive
  439. clean-am: clean-generic mostlyclean-am
  440. distclean: distclean-recursive
  441. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  442. distclean-am: clean-am distclean-generic distclean-tags
  443. dvi: dvi-recursive
  444. dvi-am:
  445. info: info-recursive
  446. info-am:
  447. install-data-am:
  448. install-exec-am: install-pkglibSCRIPTS
  449. install-info: install-info-recursive
  450. install-man:
  451. installcheck-am:
  452. maintainer-clean: maintainer-clean-recursive
  453. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  454. -rm -rf autom4te.cache
  455. maintainer-clean-am: distclean-am maintainer-clean-generic
  456. mostlyclean: mostlyclean-recursive
  457. mostlyclean-am: mostlyclean-generic
  458. pdf: pdf-recursive
  459. pdf-am:
  460. ps: ps-recursive
  461. ps-am:
  462. uninstall-am: uninstall-info-am uninstall-pkglibSCRIPTS
  463. uninstall-info: uninstall-info-recursive
  464. .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
  465. clean-generic clean-recursive ctags ctags-recursive dist \
  466. dist-all dist-gzip distcheck distclean distclean-generic \
  467. distclean-recursive distclean-tags distcleancheck distdir \
  468. distuninstallcheck dvi dvi-am dvi-recursive info info-am \
  469. info-recursive install install-am install-data install-data-am \
  470. install-data-recursive install-exec install-exec-am \
  471. install-exec-recursive install-info install-info-am \
  472. install-info-recursive install-man install-pkglibSCRIPTS \
  473. install-recursive install-strip installcheck installcheck-am \
  474. installdirs installdirs-am installdirs-recursive \
  475. maintainer-clean maintainer-clean-generic \
  476. maintainer-clean-recursive mostlyclean mostlyclean-generic \
  477. mostlyclean-recursive pdf pdf-am pdf-recursive ps ps-am \
  478. ps-recursive tags tags-recursive uninstall uninstall-am \
  479. uninstall-info-am uninstall-info-recursive \
  480. uninstall-pkglibSCRIPTS uninstall-recursive
  481. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  482. # Otherwise a system limit (for SysV at least) may be exceeded.
  483. .NOEXPORT: